import asyncio
import threading

import discord
from cpl_discord.service import DiscordBotServiceABC


class MassMoveThread(threading.Thread):

    def __init__(self, bot: DiscordBotServiceABC, member: discord.Member, channel_to: discord.VoiceChannel):
        threading.Thread.__init__(self, daemon=True)
        self._bot = bot
        self._member = member
        self._channel_to = channel_to

    def run(self):
        self._bot.loop.create_task(self._member.move_to(self._channel_to))
